%define vname gnome-build

Name: lib%vname
Version: 0.1.2
Release: alt1

Summary: Automake/conf-based project managing framework for GNOME
License: GPL
Group: Development/GNOME and GTK+

Url: http://www.gnome.org/projects/devtools/gnomebuild.shtml

Source: %vname-%version.tar.bz2
Patch: %vname-0.1.0-fixperl.patch
BuildRequires: gcc-c++ libgdl-devel libgnome-devel libgnomeui-devel
BuildRequires: libpopt-devel zlib-devel

Provides: perl(GBF/AmFiles.pm) perl(GBF/General.pm)
Provides: %vname = %version

%description
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

%package devel
Summary: Header and development for Gnome Build Framework
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

This package contains header files and various development files for
compiling or developing applications that need Gnome-build Framework.

%prep
%setup -q -n %vname-%version
%patch -p1

%build
%configure --disable-static
%make

%install
%makeinstall_std
%__rm -f %buildroot%_libdir/*.la

%find_lang gbf-1

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f gbf-1.lang
%doc AUTHORS MAINTAINERS
%_bindir/*
%_datadir/pixmaps/*
%_datadir/%vname
%_libdir/%vname-1.0
%_libdir/lib*.so.*

%files devel
%doc ChangeLog
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc

%changelog
* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.1.2-alt1
- New upstream version.

* Mon May 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.1.1-alt1
- New upstream version.
- Switched from CVS to tarball sources.

* Sun Feb 20 2005 Vladimir Lettiev <crux@altlinux.ru> 0.1.0-alt1.1.cvs20040220
- version from cvs

* Fri Feb 18 2005 Vladimir Lettiev <crux@altlinux.ru> 0.1.0-alt1
- Initial build for ALTLinux Sisyphus

